View Issue Details

IDProjectCategoryView StatusLast Update
0031790Open CASCADEOCCT:Configurationpublic2020-12-02 17:13
Reporterkgv Assigned Tokgv  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Product Version7.5.0 
Target Version7.5.0Fixed in Version7.5.0 
Summary0031790: Configuration, CMake - add optional OpenVR dependency
Description#0029384 has introduced an optional dependency on OpenVR library added to genproj scripts.

While this dependency is expected to be transient (ported to OpenXR within the next build), it is desired exposing this option to CMake building scripts (at least on Windows platform).
Steps To ReproduceNot required
TagsNo tags attached.
Test case numberNot required

Relationships

related to 0031666 newkgv Open CASCADE Visualization - implement Aspect_XRSession interface for OpenXR 

Activities

git

2020-10-16 15:42

administrator   ~0096008

Branch CR31790 has been created by kgv.

SHA-1: 74a348c3e30350d1ce4943c35d32d40550de5b5b


Detailed log of new commits:

Author: kgv
Date: Fri Oct 16 15:45:43 2020 +0300

    0031790: Configuration, CMake - add optional OpenVR dependency

kgv

2020-10-16 15:58

developer   ~0096010

Patch has been pushed to OCCT branch CR31790.

Please enable USE_OPENVR option on Windows platform in Jenkins / into Setup package.
There are no related automated OCCT tests - just to control compilation.
Pre-built OpenVR SDK binaries can be download from official site:
https://github.com/ValveSoftware/openvr/releases/

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR31790-master-KGV/view/OCCT%20compile/

git

2020-10-17 12:36

administrator   ~0096018

Branch CR31790 has been updated by inv.

SHA-1: d9da7f442520414130f8c604e0e9314b18ca6f19


Detailed log of new commits:

Author: bugmaster
Date: Sat Oct 17 12:39:14 2020 +0300

    Adding path to openvr to env and custom bat files after installation

bugmaster

2020-10-17 12:37

administrator   ~0096019

Please review

bugmaster

2020-10-17 12:52

administrator   ~0096020

Jenkins, packaging and install wizard procedures have been updated to take into account OPENVR

bugmaster

2020-10-17 13:03

administrator   ~0096021

Probably OPENVR need to be added to https://dev.opencascade.org/doc/overview/html/index.html#intro_acknowledge

git

2020-10-17 17:52

administrator   ~0096041

Branch CR31790_1 has been created by kgv.

SHA-1: 7902064386d46ad96e903b115aa2d4a23595cb60


Detailed log of new commits:

Author: kgv
Date: Fri Oct 16 15:45:43 2020 +0300

    0031790: Configuration, CMake - add optional OpenVR dependency

git

2020-10-17 18:04

administrator   ~0096042

Branch CR31790_1 has been updated forcibly by kgv.

SHA-1: 16ed73bec51ce5d66fea1dc5f8754b3d0f6ba8ce

kgv

2020-10-17 18:05

developer   ~0096043

> Probably OPENVR need to be added
Pushed to branch CR31790_1.

bugmaster

2020-10-24 12:18

administrator   ~0096188

Combination -
OCCT branch : IR-2020-10-23
master SHA - 9f9490e1ae0eaf38507437019a117437c6317225
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : IR-2020-10-23 SHA - 4594c3ef5cc6ec5816231ba88e2a4863a25a06d2
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18000.12000000008 / 18036.38000000013 [-0.20%]
Products
Total CPU difference: 12171.670000000115 / 12174.520000000093 [-0.02%]
Windows-64-VC14:
OCCT
Total CPU difference: 19723.78125 / 19746.3125 [-0.11%]
Products
Total CPU difference: 13538.390625 / 13565.046875 [-0.20%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2020-10-24 12:41

administrator   ~0096218

Branch CR31790_1 has been deleted by inv.

SHA-1: 16ed73bec51ce5d66fea1dc5f8754b3d0f6ba8ce

git

2020-10-24 12:41

administrator   ~0096220

Branch CR31790 has been deleted by inv.

SHA-1: d9da7f442520414130f8c604e0e9314b18ca6f19

Related Changesets

occt: master 16ed73be

2020-10-16 12:45:43

kgv

Details Diff
0031790: Configuration, CMake - add optional OpenVR dependency Affected Issues
0031790
mod - adm/cmake/3rdparty_macro.cmake Diff File
mod - adm/cmake/occt_csf.cmake Diff File
add - adm/cmake/openvr.cmake Diff File
mod - adm/cmake/vardescr.cmake Diff File
mod - adm/templates/custom.build.bat.in Diff File
mod - adm/templates/custom.install.bat.in Diff File
mod - adm/templates/env.bat.in Diff File
mod - CMakeLists.txt Diff File
mod - dox/introduction/introduction.md Diff File

Issue History

Date Modified Username Field Change
2020-09-23 12:54 kgv New Issue
2020-09-23 12:54 kgv Assigned To => bugmaster
2020-09-23 12:55 kgv Relationship added related to 0031666
2020-09-23 12:55 kgv Product Version => 7.5.0
2020-10-16 15:42 git Note Added: 0096008
2020-10-16 15:58 kgv Note Added: 0096010
2020-10-16 15:58 kgv Status new => resolved
2020-10-16 15:58 kgv Status resolved => feedback
2020-10-17 12:36 git Note Added: 0096018
2020-10-17 12:37 bugmaster Note Added: 0096019
2020-10-17 12:37 bugmaster Status feedback => resolved
2020-10-17 12:37 bugmaster Steps to Reproduce Updated
2020-10-17 12:37 bugmaster Test case number => Not required
2020-10-17 12:52 bugmaster Note Added: 0096020
2020-10-17 13:03 bugmaster Note Added: 0096021
2020-10-17 17:52 git Note Added: 0096041
2020-10-17 18:04 git Note Added: 0096042
2020-10-17 18:05 kgv Note Added: 0096043
2020-10-17 18:05 kgv Status resolved => reviewed
2020-10-24 12:18 bugmaster Note Added: 0096188
2020-10-24 12:18 bugmaster Status reviewed => tested
2020-10-24 12:30 kgv Changeset attached => occt master 16ed73be
2020-10-24 12:30 kgv Assigned To bugmaster => kgv
2020-10-24 12:30 kgv Status tested => verified
2020-10-24 12:30 kgv Resolution open => fixed
2020-10-24 12:41 git Note Added: 0096218
2020-10-24 12:41 git Note Added: 0096220
2020-12-02 16:22 emo Fixed in Version => 7.5.0
2020-12-02 17:13 emo Status verified => closed